Subject: Re: bug#20193: 25.0.50; declarative type specification for D-Bus args

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 18 Sep 2020 15:23:16 +0200

Michael Albinus <[email-masked]> writes:

> Thinking about, it seems to be OK. Ah :type keyword must always be
> followed by two other arguments, and so it takes nil as the empty array
> values, instead of a boolean false. Whether we allow to be sloppy, and
> to add a missing nil as empty value list at the end of the arguments, is
> something to be decided (and documented).

Skimming through this thread, it looks like everybody thought that this
was a good idea?  But the branch hasn't received any updates since 2015,
and has not been merged...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no